type HeaderLevel = 1 | 2 | 3 | 4 | 5 | 6;
export declare const headerLevelToElement: {
    1: string;
    2: string;
    3: string;
    4: string;
    5: string;
    6: string;
};
export interface FileType {
    url: string;
}
export interface ChecklistItem {
    text: string;
    checked: boolean;
}
interface BlockData {
    message?: string;
    title?: string;
    content?: string[][];
    html?: string;
    height?: string | number;
    width?: string | number;
    embed?: string;
    code?: string;
    items?: string[];
    style?: "ordered" | "unordered";
    caption?: string;
    file?: FileType;
    level?: HeaderLevel;
    text?: string;
}
export interface Block {
    type: string;
    data: BlockData;
}
export {};
